
  ---------------------------------------------
  --  xrRunes
  ---------------------------------------------

  --  A RuneBar Mod for RothUI
  --  by xu aka Garry - 2011

  ---------------------------------------------

  --get the addon namespace
  local addon, ns = ...

  --object container
  local cfg = CreateFrame("Frame")

  ---------------------------------------------
  -- // CONFIG // --
  ---------------------------------------------
	-- Postion settings when you use xrRunes as standalone!

  	cfg.position = {
    	coord           = { a1 = "CENTER", af = UIParent, a2 = "CENTER", x = 0, y = 0 }, -- default position
	    userplaced      = true,   -- want to place the bar somewhere else?
	    locked          = true,   -- frame locked, can be unlocked ingame via /xrr
	  }
  ----------------------------------------
  -- Scaling, OOC/IC, etc
  ----------------------------------------

  	cfg.RunePadding	= 8
  	cfg.RuneShows	= {
  		xRstyle			= 1,
  						-- Included Styles
						-- 1 	= Deathknight Stance - Default
						-- 2	= Inscription Pigments
						-- 3	= Summer Festival
						-- 4	= Runica
						-- 5	= Major Glyphe
						-- 6	= Magic Runes

		xRscolor		= { r = 0.37, g = 0.3, b = 0.3, },
						-- Color the RuneBare to your needs.
						-- { r = 0.37, g = 0.3, b = 0.3, }, = default

		xRborder		= 2,
						-- Included Border Styles
						-- 1	= RothUI Style
						-- 2	= ichik Style
						-- files are from rActionButtonStyler Styles


		xRs 			= 1,	-- scaling
		xRaoc 			= 0.4,	-- out of combat alpha
		xRaic 			= 1,	-- in combat
		xRaiv 			= 0,	-- in a vehicle
  	}
  	cfg.EnableMouse	= false



  -----------------------------
  -- HANDOVER
  -----------------------------

  --object container to addon namespace
  ns.cfg = cfg